{L(+)-lizin*HCl*2H2O: Zs. fuer Krist. 1959, 111, 301-317; Raman S.;
  dl`a C1 pri y-koord. izm. znak, inache -> dur`.
  Vodor. sv`azi - mezhdu nuzhn. atomami v nuzhn. chisle; 
  risunki iz orig. stat`i kachestv. vosproizv, no prakt. vse rasst. rezko 
  otlich. ot tabulir.; v chastn., mezhdu w1 i w2 - 2.42 (a zatabulir. - 2.73).
  Pokhozhe, koord. >-va at. v stat`je - s osh. v mladsh. razr`adakh.
}

 const imya='l_liz_cl';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=7.48; b:=13.31; c:=5.85;
  alpha:=90*grad; beta:=97.8*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=4;
  ini_1_at_mol(mo[1],0.2019,0.2500,0.1197,'Cl');
  with mo[2] do begin
   nat:=10;
   initvect(a[1].r,0.7126, -0.0360, 0.4513); a[1].obozn:='C 1';
   initvect(a[2].r,0.7126, 0.0188, 0.2103); a[2].obozn:='C 2';
   initvect(a[3].r,0.6684, 0.1315, 0.1983); a[3].obozn:='C 3';
   initvect(a[4].r,0.7540, 0.1766,-0.0274); a[4].obozn:='C 4';
   initvect(a[5].r,0.6832, 0.2772, 0.0000); a[5].obozn:='C 5';
   initvect(a[6].r,0.7500, 0.3253,-0.2325); a[6].obozn:='C 6';
   initvect(a[7].r,0.8917, 0.3749,-0.3000); a[7].obozn:='O 1';
   initvect(a[8].r,0.6537, 0.2998,-0.3829); a[8].obozn:='O 2';
   initvect(a[9].r,0.7045, 0.8512-1, 0.3966); a[9].obozn:='N 1';
   initvect(a[10].r,0.7834, 0.3238, 0.1641); a[10].obozn:='N 2';
   centr:=a[6].r;
  end;
  with mo[3] do begin
   nat:=1;
   initvect(a[1].r,0.3008, 0.0473, 0.8359); a[1].obozn:='O w1';
   centr:=a[1].r;
  end;
  with mo[4] do begin
   nat:=1;
   initvect(a[1].r,0.1217, 0.0631, 0.4598); a[1].obozn:='O w2';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.2);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.2);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.5);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.5;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

