{Z. fuer Kristallogr. 1959, 111, S.241: NaClO3.}

 const imya='NaClO3';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=6.570; b:=aa; c:=aa;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_13 {T^4}; end;

 procedure zad_molec; 
 begin
  nmolec:=2;
  ini_1_at_mol(mo[1],0.064,0.064,0.064,'Na');
  with mo[2] do begin
   nat:=4;
   initvect(a[1].r,0.417,0.417,0.417); a[1].obozn:='Cl';
   initvect(a[2].r,0.303,0.592,0.500); a[2].obozn:='O 1';
   initvect(a[3].r,0.592,0.500,0.303); a[3].obozn:='O 2';
   initvect(a[4].r,0.500,0.303,0.592); a[4].obozn:='O 3';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'Na','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'O ','Cl') and (r<3.2);
  uslov:={g2 or g3}false;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:={0.2}0.6;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

