{PbI2, politip 4H - Zs. fuer Krist. 1959, 111, 372 (sm. zagossyl.txt - 
  konspekt o politipakh PbI2);
  simm. slojov narushena: v oktaedrakh PbI6 3 sv`azi smotr`at vverkh
  i 3 vniz, no v pl-st`akh sv`azej, idushchikh vniz - blizk. oktaedry
  nizhelezhashch. sloja, a u idushchikh vverkh - pustoty; t.o., simm.
  oktaedrov snizh. do C3v, a strukt. - do P6_3mc .
  Udajotsa pon`at`: upakovka - ((AgB)(CgB))n , gde A, B, C - 3 polozhenija
  sharov (atomov I) v sloe, g - atomy Pb v oktaedr. pustotakh.
}

 const imya='PbI2_4H';

 procedure zad_bazis; var grad:real;
 begin grad:=pi/180;
  aa:=4.557; b:=aa; c:=13.958; alpha:=90*grad; beta:=90*grad; gamma:=120*grad;
  {postr_yach(aa,b,c,alpha,beta,gamma);}
  initvect(a[1],aa,0,0);
  initvect(a[2],-0.5*aa,(sqrt(3)/2)*aa,0);
  initvect(a[3],0,0,c);
 end;

 procedure zad_simm;
 begin P6_3mc{P1}; {C4v^4} end;

 procedure zad_molec; var i:integer; z:real;
 begin
  z:=0.133;
(*
  {var-t dl`a gr. simm. P1 - chtoby predst. sebe strukt. i najti el-ty simm.;
    nesovmest. s P6_3mc iz-za inogo vyb. nach. koord.}
  nmolec:=6;
  ini_1_at_mol(mo[1],0,0,0,'Pb1');
  ini_1_at_mol(mo[2],1/3,2/3,1/2,'Pb2');
  ini_1_at_mol(mo[3],0,0,1/2-z,'I 1');
  ini_1_at_mol(mo[4],2/3,1/3,z,'I 2');
  ini_1_at_mol(mo[5],2/3,1/3,1/2+z,'I 3');
  ini_1_at_mol(mo[6],1/3,2/3,-z,'I 4');
 *)
  nmolec:=3;
  ini_1_at_mol(mo[1],1/3,2/3,0,'Pb');
  ini_1_at_mol(mo[2],0,0,z,'I 1');
  ini_1_at_mol(mo[3],2/3,1/3,-z,'I 2');
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'Pb','I ') and (r<3.6);
  uslov:=g2;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=1.1{0.5};
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-0.2) and (q[3]<=(1+0.2));
 end;

