{Mg(NH4)2(SO4)2*6H2O (predst. solej Tuttona): Zs. fuer Krist. ~1961, 117, 344}

 const imya='tutton';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=9.324; b:=12.597; c:=6.211;
  alpha:=90*grad; beta:=107.14*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a{P1}; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=3;
  with mo[1] do begin
   nat:={19}7;
   initvect(a[1].r, 0.0, 0.0, 0.0); a[1].obozn:='Mg';
   initvect(a[2].r, 0.1603,-0.1094,-0.0307); a[2].obozn:='O 7';
   initvect(a[3].r, 0.1685, 0.1042, 0.1656); a[3].obozn:='O 8';
   initvect(a[4].r,-0.0017,-0.0687, 0.2986); a[4].obozn:='O 9';
   for i:=5 to 7 do begin 
    initvect(a[i].r,-a[i-3].r[1],-a[i-3].r[2],-a[i-3].r[3]); 
    a[i].obozn:=a[i-3].obozn+'_'; 
   end;
   initvect(a[8].r, 0.21, 0.100, 0.30); a[8].obozn:='H 11';
   initvect(a[9].r, 0.02,-0.131, 0.32); a[9].obozn:='H 12';
   initvect(a[10].r, 0.26,-0.090, 0.05); a[10].obozn:='H 13';
   initvect(a[11].r, 0.15,-0.178,-0.01); a[11].obozn:='H 15';
   {initvect(a[12].r, 0.40,-0.438, 0.31); a[12].obozn:='H 18';}
   {ukazann. v stat`e koord. H18 neverny; ugadyv., chtoby nakh. primerno
     tam, gde nado; rasst. i ugol slegka neestestv., no priemlem.}
   initvect(a[12].r, -0.01, 0.00, 0.34); a[12].obozn:='H 18';
   initvect(a[13].r, 0.23, 0.120, 0.10); a[13].obozn:='H 19';
   for i:=14 to 19 do begin
    initvect(a[i].r,-a[i-6].r[1],-a[i-6].r[2],-a[i-6].r[3]);
    a[i].obozn:=a[i-6].obozn+'_';
   end;
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:={5}1;
   initvect(a[1].r, 0.1321, 0.3509, 0.3611); a[1].obozn:='N ';
   initvect(a[2].r, 0.06, 0.333, 0.21); a[2].obozn:='H 14';
   initvect(a[3].r, 0.21, 0.305, 0.40); a[3].obozn:='H 16';
   initvect(a[4].r, 0.17, 0.422, 0.36); a[4].obozn:='H 17';
   initvect(a[5].r, 0.09, 0.346, 0.45); a[5].obozn:='H 20';
   centr:=a[1].r;
  end;
  with mo[3] do begin
   nat:=5;
   initvect(a[1].r, 0.0953,-0.3605, 0.2575); a[1].obozn:='S ';
   initvect(a[2].r,-0.0469,-0.4174, 0.2116); a[2].obozn:='O 3';
   initvect(a[3].r, 0.2185,-0.4328, 0.3718); a[3].obozn:='O 4';
   initvect(a[4].r, 0.1185,-0.3211, 0.0456); a[4].obozn:='O 5';
   initvect(a[5].r, 0.0951,-0.2702, 0.4089); a[5].obozn:='O 6';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<{3.2}2.7);
  g3:=tipy_(s1,s2,'N ','O ') and (r<{3.2}2.7);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.5);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2,g3:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g3:=tipy_(zapis^[i].obozn,zapis^[j].obozn,'Mg','O ') and (r<2.1);
  if g1 or g2 or g3 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

