{Acta cr. 1958, 11(1), 41: Zn-salitsilat *2 H2O}

 const imya='zn_salit';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=15.43; b:=5.35; c:=9.18;
  alpha:=90*grad; beta:=93.8*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm;
 begin C2{P1}; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=3;
  ini_1_at_mol(mo[1],0,0,0,'Zn');
  ini_1_at_mol(mo[2],0.075,0.730,0.111,'O  w');
  with mo[3] do begin
   nat:=10;
   initvect(a[1].r, 0.432,0.813,0.176); a[1].obozn:='C 1';
   initvect(a[2].r, 0.377,0.997,0.245); a[2].obozn:='C 2';
   initvect(a[3].r, 0.287,1.019,0.208); a[3].obozn:='C 3';
   initvect(a[4].r, 0.236,1.198,0.272); a[4].obozn:='C 4';
   initvect(a[5].r, 0.273,1.348,0.375); a[5].obozn:='C 5';
   initvect(a[6].r, 0.361,1.320,0.409); a[6].obozn:='C 6';
   initvect(a[7].r, 0.412,1.150,0.349); a[7].obozn:='C 7';
   initvect(a[8].r, 0.514,0.822,0.202); a[8].obozn:='O 1';
   initvect(a[9].r, 0.399,0.680,0.086); a[9].obozn:='O 2';
   initvect(a[10].r, 0.250,0.848,0.109); a[10].obozn:='O 3';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<2.6);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.1);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'Zn','O ') and (r<2.6);
  uslov:=(g2 or g3 or g4 or g5);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

