{Adip. k-ta (Kitajgorodsk. 1955 -> J.Ch.Soc. 987 (1949))}

 const imya='adip_kta';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=10.07; b:=5.16; c:=10.03; 
  alpha:=90*grad; beta:=137.1*grad; gamma:=90*grad; {Z=2}
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=5;
   initvect(a[1].r,-0.021,0.040,0.057); a[1].obozn:='C 1';
   initvect(a[2].r,0.045,-0.162,0.202); a[2].obozn:='C 2';
   initvect(a[3].r,0.027,-0.087,0.334); a[3].obozn:='C 3';
   initvect(a[4].r,-0.071,0.105,0.294); a[4].obozn:='O 1';
   initvect(a[5].r,0.102,-0.251,0.471); a[5].obozn:='O 2';
   centr:=a[3].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.8;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

