{n-C18H38; J.Ph.Soc.Jap. 1962, 17(2), 306; Acta Cryst. 1972, B28, 2992;
  vo 2-j rab. utv., chto v 1-j strukt. opr. neverno;
  est` i grub. osh. - posle nabivki tabulir. koord.
  sv`azi imejut patologich. dliny ili rasst. ne sootv. nalich. sv`azi;
  koe-kak podg. dliny, no pri etom ugly ostajutsa bezobrazn.; sokhr. tk.
  dl`a sravn. so 2-j rabotoj.
}

(*
 const imya='C18_bad';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=4.361; b:=4.893; c:=25.04;
  alpha:=(83+6/60)*grad; beta:=(67+4/60)*grad; gamma:=(111+24/60)*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P1_; end;

 procedure zad_molec; var n,i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=1;
   initvect(a[1].r, 0.667 ,0.312,  0.016); a[1].obozn:='H ';
   for n:=1 to 5 do begin
    nat:=nat+1; initvect(a[nat].r,-0.0281*n+0.621,0.0427*n+0.178,0.1042*n-0.046); a[nat].obozn:='C 1';
    nat:=nat+1; initvect(a[nat].r,-0.0281*n+0.385,0.0427*n+0.047,0.1042*n-0.070+0.02); a[nat].obozn:='H 1';
    nat:=nat+1; initvect(a[nat].r,-0.0281*n+0.781-0.02,0.0427*n+0.060,0.1042*n-0.054+0.02); a[nat].obozn:='H 2';
   end;
   for n:=1 to 4 do begin
    nat:=nat+1; initvect(a[nat].r,-0.0281*n+0.660,0.0427*n+0.389,0.1042*n{+0.003}-0.006); a[nat].obozn:='C 2';
    nat:=nat+1; initvect(a[nat].r,-0.0281*n+0.900,0.0427*n+0.524,0.1042*n+0.028-0.03); a[nat].obozn:='H 3';
    nat:=nat+1; initvect(a[nat].r,-0.0281*n+0.502+0.04,0.0427*n+0.520,0.1042*n+0.011-0.03); a[nat].obozn:='H 4';
   end;
   centr:=a[1].r;
  end;
 end;
*)

 const imya='C18';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=4.28; b:=4.82; c:=24.89;
  alpha:=85.15*grad; beta:=67.8*grad; gamma:=72.7*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P1_; end;

 procedure zad_molec; var n,i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=9{28};
   initvect(a[1].r,0.080,0.273,-0.4401); a[1].obozn:='C 1';
   initvect(a[2].r,0.141,0.077,-0.3932); a[2].obozn:='C 2';
   initvect(a[3].r,0.057,0.230,-0.3372); a[3].obozn:='C 3';
   initvect(a[4].r,0.112,0.035,-0.2892); a[4].obozn:='C 4';
   initvect(a[5].r,0.033,0.189,-0.2328); a[5].obozn:='C 5';
   initvect(a[6].r,0.083,-0.010,-0.1845); a[6].obozn:='C 6';
   initvect(a[7].r,0.006,0.143,-0.1285); a[7].obozn:='C 7';
   initvect(a[8].r,0.053,-0.056,-0.0802); a[8].obozn:='C 8';
   initvect(a[9].r,-0.021,0.101,-0.0245); a[9].obozn:='C 9';
   initvect(a[10].r,0.243,0.419,-0.4498); a[10].obozn:='H 12';
   initvect(a[11].r,-0.020,-0.066,-0.3847); a[11].obozn:='H 22';
   initvect(a[12].r,0.220,0.371,-0.3459); a[12].obozn:='H 32';
   initvect(a[13].r,-0.054,-0.104,-0.2801); a[13].obozn:='H 42';
   initvect(a[14].r,0.203,0.324,-0.2416); a[14].obozn:='H 52';
   initvect(a[15].r,-0.087,-0.145,-0.1756); a[15].obozn:='H 62';
   initvect(a[16].r,0.178,0.277,-0.1373); a[16].obozn:='H 72';
   initvect(a[17].r,-0.123,-0.187,-0.0709); a[17].obozn:='H 82';
   initvect(a[18].r,0.157,0.229,-0.0337); a[18].obozn:='H 92';
   initvect(a[19].r,-0.188,0.396,-0.4263); a[19].obozn:='H 13';
   initvect(a[20].r,0.412,-0.046,-0.4085); a[20].obozn:='H 23';
   initvect(a[21].r,-0.214,0.356,-0.3223); a[21].obozn:='H 33';
   initvect(a[22].r,0.382,-0.094,-0.3043); a[22].obozn:='H 43';
   initvect(a[23].r,-0.235,0.321,-0.2180); a[23].obozn:='H 53';
   initvect(a[24].r,0.351,-0.143,-0.1994); a[24].obozn:='H 63';
   initvect(a[25].r,-0.261,0.277,-0.1139); a[25].obozn:='H 73';
   initvect(a[26].r,0.318,-0.193,-0.0959); a[26].obozn:='H 83';
   initvect(a[27].r,-0.286,0.240,-0.0100); a[27].obozn:='H 93';
   initvect(a[28].r,0.153,0.145,-0.4784); a[28].obozn:='H 11';
   centr:=a[9].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  uslov:=g2;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=1.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-0.2) and (q[3]<=(1+0.2));
 end;

