{Acta Crist. 195X, 6(3), 227 - Cu2(OAc)4*2H2O}

 const imya='cu_oac_2';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=13.15; b:=8.52; c:=13.90;
  alpha:=90*grad; beta:=117.0*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin C2_c; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=10;
   initvect(a[1].r, 0.450, 0.088, 0.044); a[1].obozn:='Cu';
   initvect(a[2].r, 0.677,-0.100, 0.101); a[2].obozn:='O 1';
   initvect(a[3].r, 0.598, 0.050, 0.175); a[3].obozn:='O 2';
   initvect(a[4].r, 0.492,-0.250, 0.017); a[4].obozn:='O 3';
   initvect(a[5].r, 0.400,-0.108, 0.087); a[5].obozn:='O 4';
   initvect(a[6].r, 0.367, 0.200, 0.132); a[6].obozn:='O w';
   initvect(a[7].r, 0.697,-0.025, 0.192); a[7].obozn:='C 1';
   initvect(a[8].r, 0.807,-0.008, 0.296); a[8].obozn:='C 2';
   initvect(a[9].r, 0.427,-0.250, 0.063); a[9].obozn:='C 3';
   initvect(a[10].r, 0.385,-0.400, 0.095); a[10].obozn:='C 4';
   for i:=1 to 3 do centr[i]:=a[1].r[i];
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0); g2:=false;
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.6);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2,g3:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g3:=tipy_(zapis^[i].obozn,zapis^[j].obozn,'Cu','O ') and (r<2.4);
  if g1 or g2 or g3 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

