{Zs. fuer Krist. 1959, 111, 385: Knobler C.B. et al., Cu(tiomoch)3Cl}
 const imya='Cu_x3_cl';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=13.41; b:=aa; c:=13.79;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin {P1}P4_12_12; {ili P4_32_12; D4^4 ili D4^8} end;

 procedure zad_molec; var i:integer; al:real; d:real;
 begin
  nmolec:=5;
  ini_1_at_mol(mo[1],0.9709,0.3571,0.0840,'Cu');
  ini_1_at_mol(mo[2],0.5112,0.3525,0.0967,'Cl');
  with mo[3] do begin
   nat:=4;
   initvect(a[1].r, 0.8942,0.4962,0.0000); a[1].obozn:='S 1';
   initvect(a[2].r, 0.9300,0.6153,0.0488); a[2].obozn:='C 1';
   initvect(a[3].r, 0.8907,0.6882,0.0085); a[3].obozn:='N 1';
   initvect(a[4].r, 0.9800,0.6105,0.1285); a[4].obozn:='N 1_';
   centr:=a[2].r;
  end;
  with mo[4] do begin
   nat:=4;
   initvect(a[1].r, 0.3206,0.1235,-0.0143); a[1].obozn:='S 2';
   initvect(a[2].r, 0.2639,0.0798,0.0978); a[2].obozn:='C 2';
   initvect(a[3].r, 0.2327,0.9912-1,0.1169); a[3].obozn:='N 2';
   initvect(a[4].r, 0.2520,0.1575,0.1643); a[4].obozn:='N 2_';
   centr:=a[2].r;
  end;
  with mo[5] do begin
   nat:=4;
   initvect(a[1].r, 0.8449,0.2361,0.0731); a[1].obozn:='S 3';
   initvect(a[2].r, 0.8903,0.1120,0.1067); a[2].obozn:='C 3';
   initvect(a[3].r, 0.9990,0.1110,0.1060); a[3].obozn:='N 3';
   initvect(a[4].r, 0.8396,0.0495,0.1439); a[4].obozn:='N 3_';
   centr:=a[2].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.5);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'Cu','S ') and (r<2.8);
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

