{2 glitsin * HCl: Z. fuer Krist. ~1959, _113_, 402-429; Hahn T.
  V orig.:
  O1..O3 2.57 109.1o

  N1..O4 2.91 114.3
  N1..Cl 3.34 114.8
  N1..Cl 3.12 153.5
  N1..Cl 3.26 77.1

  N2..O4 2.94 101.4
  N2..Cl 3.22 100.0
  N2..O4 2.99 113.7
  N2..O2 3.07 138.8
  ; prog. nakhodit vs`o eto (khot`a inogda +-0.02A), a tzh. N1..O2 2.72 .
}

 const imya='gly2_cl';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=8.15; b:=18.03; c:=5.34;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm;
 begin
  P2_1_2_1_2_1{P1};
 end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=3;
  with mo[1] do begin
   nat:=5;
   initvect(a[1].r, 0.3562,0.3815,0.8631); a[1].obozn:='C 1';
   initvect(a[2].r, 0.3629,0.4342,0.0779); a[2].obozn:='C 2';
   initvect(a[3].r, 0.5337,0.4353,0.1867); a[3].obozn:='N 1';
   initvect(a[4].r, 0.2204,0.3882,0.7292); a[4].obozn:='O 1';
   initvect(a[5].r, 0.4613,0.3344,0.8257); a[5].obozn:='O 2';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=5;
   initvect(a[1].r, 0.7269,0.2729,0.5139); a[1].obozn:='C 3';
   initvect(a[2].r, 0.8216,0.3333,0.6383); a[2].obozn:='C 4';
   initvect(a[3].r, 0.8995,0.3097,0.8803); a[3].obozn:='N 2';
   initvect(a[4].r, 0.7198,0.2104,0.6171); a[4].obozn:='O 3';
   initvect(a[5].r, 0.6630,0.2887,0.3006); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;
  ini_1_at_mol(mo[3],0.4254,0.0337,0.8369,'Cl');
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<2.6);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.1);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'N ','Cl') and (r<3.4);
  uslov:=(g2 or g3 or g4 or g5);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

