{K-kaprinat - modif. A (Kitajgorodsk. 1955 -> Acta Cr. 2, 214 (1949));
  zajav. toch-st` +-0.04A; no, napr., rasst. C-O poluch. 1.07 i 1.48A,
  a C-C - 1.54..1.78A, prichom nalitso sistem. zavysh. r(C-C) (sredn. ~1.6A).
  V tselom - toch-st` khuzhe, chem zajav. 
  Osobennost` struktury: sloi iz parafinov. khvostov lezhat vakhl`ost,
  t.e. otlich. ot >-va dlinnotsep. soed., gde vse tsepi parall. drug drugu.
}

 const imya='k_kaprin';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=8.119; b:=5.650; c:=28.907;
  alpha:=90*grad; beta:=(108+2/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_a {C2h^5}; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=2;
  with mo[1] do begin
   nat:=1;
   initvect(a[1].r,0.148,0.250,0.039); a[1].obozn:='K ';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=12;
   initvect(a[1].r,0.425,0.545,0.059); a[1].obozn:='O 1';
   initvect(a[2].r,0.412,0.960,0.051); a[2].obozn:='O 2';
   initvect(a[3].r,0.445,0.722,0.073); a[3].obozn:='C 1';
   initvect(a[4].r,0.442,0.743,0.130); a[4].obozn:='C 2';
   initvect(a[5].r,0.480,0.490,0.150); a[5].obozn:='C 3';
   initvect(a[6].r,0.476,0.509,0.211); a[6].obozn:='C 4';
   initvect(a[7].r,0.510,0.256,0.232); a[7].obozn:='C 5';
   initvect(a[8].r,0.500,0.277,0.290); a[8].obozn:='C 6';
   initvect(a[9].r,0.530,0.022,0.312); a[9].obozn:='C 7';
   initvect(a[10].r,0.540,0.045,0.369); a[10].obozn:='C 8';
   initvect(a[11].r,0.562,-0.210,0.389); a[11].obozn:='C 9';
   initvect(a[12].r,0.566,-0.189,0.450); a[12].obozn:='C 10';
   centr:=a[3].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.6;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-0.2) and (q[3]<=(1+0.2));
 end;

